# Detect language

Detects the languages used in the provided text fragment and returns the breakdown by offsets.
The request body should include:
* `content` (string) - the text fragment to analyze.
* `languages` (string, optional) - a vertical bar-delimited list of language codes to use as cues.
* `delimiter` (string, optional) - a regular expression for segmenting the fragment; by default, the fragment is not segmented.
The response is a JSON structure containing `languages`, which provides a breakdown of language codes.

Endpoint: POST /detectLanguage
Version: 4.8.0.0
Security: Tisane-API-Key

## Security:

  - `Tisane-API-Key` (unknown)
    apiKey in header Ocp-Apim-Subscription-Key

## Header parameters:

  - `Content-Type` (string)

## Request fields (application/json):

  - `content` (string)
    The text fragment to analyze.

  - `languages` (string)
    A vertical bar-delimited list of language codes to use as cues.

  - `delimiter` (string)
    A regular expression for segmenting the fragment; by default, the fragment is not segmented

## Request examples:

  - `Basic` (unknown)

  - `Hints for ambiguous cases` (unknown)

  - `Breakdown of languages segmenting by line` (unknown)

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 examples:

  - `Basic` (unknown)

  - `Hints for ambiguous cases` (unknown)

  - `Breakdown of languages segmenting by line` (unknown)

